Package writer2latex.office

# Class EmbeddedObject

java.lang.Object
writer2latex.office.EmbeddedObject

Direct Known Subclasses:
  `EmbeddedBinaryObject`, `EmbeddedXMLObject`

public abstract class EmbeddedObject extends Object
This class represents and embedded object within an ODF package document

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`EmbeddedObject(String sName, String sType, OfficeDocument doc)`
Construct a new embedded object

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Dispose this `EmbeddedObject`.
`final String`
`getName()`
Get the name of the embedded object represented by this instance.
`final String`
`getType()`
Get the MIME type of the embedded object represented by this instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmbeddedObject

protected EmbeddedObject(String sName, String sType, OfficeDocument doc)
Construct a new embedded object

Parameters:
  `sName` - The name of the object.
  `sType` - The MIME-type of the object.
  `doc` - The document to which the object belongs.

## Method Details

### getName

public final String getName()
Get the name of the embedded object represented by this instance. The name refers to the manifest.xml file

Returns:
  The name of the object.

### getType

public final String getType()
Get the MIME type of the embedded object represented by this instance. The MIME type refers to the manifest.xml file

### dispose

public void dispose()
Dispose this `EmbeddedObject`. This implies that the content is nullified and the object is removed from the collection in the `OfficeDocument`.